#include <bits/stdc++.h>
using namespace std;
#define int long long
#define pb push_back
#define all(x) x.begin(),x.end()
std::vector<int> solve(std::vector<int> A){
	sort(all(A));
	vector<int>ans;
	for(int i=0;i<A.size();i+=2){
		ans.pb(i);
	}
	for(int i=1;i<A.size();i+=2){
		ans.pb(i);
	}
	return ans;
}
signed main();